local names = {
    [506] = 'BMW I8';
    [541] = 'Audi TT';
    [561] = 'BMW X6M';
	[558] = 'Camaro';
	[415] = 'Corvette';
	[451] = 'Ferrari';
	[404] = 'Gol';
	[502] = 'Nissan GTR';
	[559] = 'Mustang';
	[494] = 'Porshe GT2Rs';
	[401] = 'Punto';
	[579] = 'Range Rover';
	[603] = 'Saveiro Cross';
	[491] = 'Fusca';
	[455] = 'Santana';
	[475] = 'Celta';
	[422] = 'Saveiro';
	[540] = 'HB20';
	[467] = 'Palio';
	[474] = 'Gol Quadrado';
	[405] = 'Parati Quadrada';
	[550] = 'Cruze';
	[529] = 'Corolla';
	[458] = 'Porshe Panamera';
	[421] = 'BMW X1';
	[547] = 'Pajero Sport';
	[562] = '350Z';
	[462] = 'Mobilete';
	[586] = 'GS BMW R1200';
	[468] = 'Xt660';
	[521] = 'XJ6';
	[581] = 'HONERT 600F';
	[461] = 'Z1000';
	[522] = 'R1';
	[445] = 'Santana';
	[463] = 'Harley';
    -- [VEHICLEMODELID] = "VEHICLENAME", -- example
}

setPlayerHudComponentVisible("vehicle_name", false)

local x,y = guiGetScreenSize()
local timer = nil
local showName = nil
local hideAfter = 3 -- Hide name after 3 sec

function showVehName()
    if not showName then return end
    dxDrawText(showName, 1, y/1.5+1, x+1, y+1, tocolor(0,0,0,120), 2.5, "default-bold", "center", "center")
    dxDrawText(showName, 0, y/1.5, x, y, tocolor(220,220,220,230), 2.5, "default-bold", "center", "center")
end


addEventHandler("onClientVehicleEnter", getRootElement(), function(player)
    if player ~= localPlayer then return end
        
    if isTimer(timer) then killTimer(timer) removeEventHandler("onClientRender", getRootElement(), showVehName) showName = nil end
    
    local vehModel = getElementModel(source)
    local vehName = getVehicleNameFromModel(vehModel)
    if names[vehModel] then vehName = names[vehModel] end
        
    showName = vehName
        
    addEventHandler("onClientRender", getRootElement(), showVehName)
    setTimer(function() removeEventHandler("onClientRender", getRootElement(), showVehName) showName = nil end, 1000*hideAfter, 1)
end)