
function drawCustomText(text, left, top, right, bottom, color, scale, outlinesize, font, alignX, alignY, clip, wordBreak, postGUI)
	outlinesize = math.min(scale, outlinesize)
	if outlinesize > 0 then
		for offsetX=-outlinesize,outlinesize,outlinesize do
			for offsetY=-outlinesize,outlinesize,outlinesize do
				if not (offsetX == 0 and offsetY == 0) then
					dxDrawText(text, left+offsetX, top+offsetY, right+offsetX, bottom+offsetY, tocolor(0, 0, 0, getColorAlpha(color)), scale, font or "default", alignX or "left", alignY or "top", clip or false, wordBreak or false, postGUI or false)
				end
			end
		end
	end
	dxDrawText(text, left, top, right, bottom, color, scale, font, alignX, alignY, clip, wordBreak, postGUI)
end

function getColorAlpha(color)
   return bitExtract(color,24,8)
end
